Bug 179410 - Starting system-config-printer causes python backtrace
Starting system-config-printer causes python backtrace
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
5
powerpc Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-30 20:13 EST by Pete Graner
Modified: 2014-01-21 17:53 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-19 16:37:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pete Graner 2006-01-30 20:13:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.8) Gecko/20060103 Fedora/1.5-4 Firefox/1.5

Description of problem:
Starting system-config-printer causes python backtrace:


Version-Release number of selected component (if applicable):
system-config-printer-0.6.150-1, system-config-printer-gui-0.6.150-1

How reproducible:
Always

Steps to Reproduce:
1. [root@moltar pgraner]# system-config-printer
2. program will not start and generates python backtrace
3.
  

Actual Results:  [root@moltar pgraner]# system-config-printer
roster/
(system-config-printer:3790): GnomeUI-WARNING **: While connecting to session manager:
Authentication Rejected, reason : None of the authentication protocols specified are supported and host-based authentication failed.
Can't locate Foomatic/Defaults.pm in @INC (@INC contains: /usr/lib/perl5/site_perl/5.8.7/ppc-linux-thread-multi /usr/lib/perl5/site_perl/5.8.6/ppc-linux-thread-multi /usr/lib/perl5/site_perl/5.8.5/ppc-linux-thread-multi /usr/lib/perl5/site_perl/5.8.4/ppc-linux-thread-multi /usr/lib/perl5/site_perl/5.8.3/ppc-linux-thread-multi /usr/lib/perl5/site_perl/5.8.7 /usr/lib/perl5/site_perl/5.8.6 /usr/lib/perl5/site_perl/5.8.5 /usr/lib/perl5/site_perl/5.8.4 /usr/lib/perl5/site_perl/5.8.3 /usr/lib/perl5/site_perl /usr/lib/perl5/vendor_perl/5.8.7/ppc-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.6/ppc-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.5/ppc-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.4/ppc-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.3/ppc-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.7 /usr/lib/perl5/vendor_perl/5.8.6 /usr/lib/perl5/vendor_perl/5.8.5 /usr/lib/perl5/vendor_perl/5.8.4 /usr/lib/perl5/vendor_perl/5.8.3 /usr/lib/perl5/vendor_perl /usr/lib/perl5/5.8.7/ppc-linux-thread-multi /usr/lib/perl5/5.8.7 .) at /usr/bin/foomatic-configure line 14.
BEGIN failed--compilation aborted at /usr/bin/foomatic-configure line 14.
Traceback (most recent call last):
  File "/usr/share/printconf/util/queueTree.py", line 580, in new_button_clicked    self.use_foomatic ()
  File "/usr/share/printconf/util/queueTree.py", line 503, in use_foomatic
    self.conf.foomatic_init_overview ()
  File "/usr/share/printconf/util/printconf_conf.py", line 1753, in foomatic_init_overview
    root = parser.parse (foo)
  File "/usr/lib/python2.4/site-packages/_xmlplus/utils/qp_xml.py", line 134, in parse
    p.Parse('', 1)
xml.parsers.expat.ExpatError: no element found: line 1, column 0


Additional info:
Comment 1 Pete Graner 2006-01-30 20:17:29 EST
Sorry missed at step...

running system-config-printer brings up the gui. 
Clicking on the "New" button generates the error.
Comment 2 Tim Waugh 2006-01-31 04:01:01 EST
What does this say?:

rpm -q --qf "%{name}-%{version}-%{release}.%{arch}\n" \
 alchemist system-config-printer
Comment 3 Pete Graner 2006-01-31 06:33:57 EST
[pgraner@moltar ~]$ rpm -q --qf "%{name}-%{version}-%{release}.%{arch}\n" 
alchemist system-config-printer
alchemist-1.0.36-1.1.ppc
system-config-printer-0.6.150-1.ppc
Comment 4 Tim Waugh 2006-01-31 09:00:35 EST
Thanks -- this is different than another report I had then.  How about this
command?:

rpm -q --qf "%{name}-%{version}-%{release}.%{arch}\n" foomatic
Comment 5 Pete Graner 2006-01-31 10:50:11 EST
[pgraner@moltar ~]$ rpm -q --qf "%{name}-%{version}-%{release}.%{arch}\n" foomatic
foomatic-3.0.2-33.ppc


BTW updated to rawhide this AM and still have the same problem...
Comment 6 Tim Waugh 2006-01-31 10:57:12 EST
What about this?:

rpm -V foomatic
rpm -ql foomatic | grep Defaults
Comment 7 Pete Graner 2006-01-31 11:15:55 EST
[pgraner@moltar ~]$ rpm -V foomatic
S.5.....    /usr/bin/foomatic-combo-xml
S.5.....    /usr/bin/foomatic-perl-data
missing     /usr/lib/perl5/vendor_perl/5.8.7/Foomatic
missing     /usr/lib/perl5/vendor_perl/5.8.7/Foomatic/DB.pm
missing     /usr/lib/perl5/vendor_perl/5.8.7/Foomatic/DB.pm.default0
missing     /usr/lib/perl5/vendor_perl/5.8.7/Foomatic/Defaults.pm
missing     /usr/lib/perl5/vendor_perl/5.8.7/Foomatic/PPD.pm
missing     /usr/lib/perl5/vendor_perl/5.8.7/Foomatic/UIElem.pm
[pgraner@moltar ~]$ rpm -ql foomatic | grep Defaults
/usr/lib/perl5/vendor_perl/5.8.7/Foomatic/Defaults.pm

I just did a rpm -e --nodeps foomatic 

than

yum install foomatic

Now ...

[pgraner@moltar] rpm -V foomatic
[pgraner@moltar]

Now it works. Was there a foomatic update in the last week? I had a:

yum upgrade

crap out on me last week and I thought I caught everthing. Guess I missed this
one. Time to rpm -V everything...
Comment 8 Tim Waugh 2006-01-31 11:21:42 EST
Yes, there was.

So perhaps a yum problem?
Comment 9 Pete Graner 2006-01-31 11:36:25 EST
Not sure ran a yum update and it crapped with a bus error and left the system in
bad state... duplicate rpms (old ver and new) assuming yum cleanup was not done
and packages in a 1/2 way installed state (missing files etc.) Peter J. cleaned
it up by hand. He might have more insight.
Comment 10 Jeremy Katz 2006-04-19 16:37:45 EDT
There were some SELinux problems that caused updates to go way fubar.

Note You need to log in before you can comment on or make changes to this bug.